Summary:	A wine cellar manager
Name:		xcave
Version:	2.4.0
Release:	%mkrel 11
Source0:	http://xcave.free.fr/download/%{name}-%{version}.tar.gz
# (fc) 2.3.2-1mdv fix build with latest glibc/gcc
Patch0:		xcave-2.4.0-str-fmt.patch
Patch1:		xcave-2.4.0-mga-multiple-def.patch
License:	GPLv2+
Group:		Databases
Url:		http://xcave.free.fr/index-en.php
BuildRequires:	gtk+2-devel
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(atk)
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	gettext-devel

%description
xcave is a cellar manager, to allow to view and manage the contents of
a wine cellar.
The 'wine' referred to here, is for drinking, nothing to do with
Windows emulator.
It provides:
- a wine cellar manager
- a graphical representation of the cellar
  (the rack number and rack dimensions can be changed)
- many fields are predetermined depending on the appellation
- a stock data or information about a specific wine can be printed
- a tasting notes and comments
- a xml structure for the stock file
- a colour differences calculated by vintage and time stored in cellar
- a different sorting and presentation options
  (by maturity, name, vintage (year), producer and quantity)

%prep
%autosetup -p1

# make autoreconf happy
mkdir -p m4
sed -i -e s',(libxml-2.0,(LIBXML,g' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=XCave
Comment=View and manage a wine cellar
Exec=%_bindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Office;Database;GTK;
EOF

mkdir -p %{buildroot}%{_liconsdir} %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
convert -geometry 48x48 pixmaps/%{name}-icon.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/%{name}-icon.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/%{name}-icon.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

rm -rf %{buildroot}%{_prefix}/doc
%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sun Mar 16 2025 wally <wally> 2.4.0-11.mga10
+ Revision: 2165065
- rebuild for libxml2 2.13.6

* Thu Mar 31 2022 umeabot <umeabot> 2.4.0-10.mga9
+ Revision: 1836710
- Mageia 9 Mass Rebuild

* Fri May 15 2020 danf <danf> 2.4.0-9.mga8
+ Revision: 1584204
- Fix multiple definition errors in gcc 10.1

* Fri Feb 14 2020 umeabot <umeabot> 2.4.0-8.mga8
+ Revision: 1518595
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.4.0-7.mga7
+ Revision: 1301811
- Mageia 7 Mass Rebuild

* Thu Aug 02 2018 wally <wally> 2.4.0-6.mga7
+ Revision: 1246917
- fix build on aarch64
- use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 2.4.0-5.mga6
+ Revision: 939460
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4.0-4.mga5
+ Revision: 741886
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.0-3.mga5
+ Revision: 690559
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.4.0-2.mga4
+ Revision: 533329
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 fwang <fwang> 2.4.0-1.mga4
+ Revision: 472542
- more str fmt fixes
- fix str fmt
- do not build autoreconf
- new version 2.4.0

* Mon Jan 14 2013 umeabot <umeabot> 2.3.2-5.mga3
+ Revision: 386658
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 2.3.2-4.mga3
+ Revision: 339773
- patch1: fix build with automake 1.13

* Sat Dec 15 2012 fwang <fwang> 2.3.2-3.mga3
+ Revision: 331259
- cleanup spec

* Sun Dec 02 2012 pterjan <pterjan> 2.3.2-2.mga3
+ Revision: 325431
- Drop empty README file

* Fri May 13 2011 dmorgan <dmorgan> 2.3.2-1.mga1
+ Revision: 97684
- imported package xcave


* Tue Apr 13 2010 Frederic Crozat <fcrozat@mandriva.com> 2.3.2-1mdv2010.1
+ Revision: 534360
- Update build requirements
- Release 2.3.2
- Patch0: fix build with latest glibc/gcc

* Sun Feb 21 2010 Funda Wang <fwang@mandriva.org> 2.3.0-5mdv2010.1
+ Revision: 508928
- simplify BR

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 2.3.0-4mdv2009.0
+ Revision: 262278
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.3.0-3mdv2009.0
+ Revision: 256637
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jan 06 2008 Jérôme Soyer <saispo@mandriva.org> 2.3.0-1mdv2008.1
+ Revision: 145872
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Aug 17 2007 Funda Wang <fwang@mandriva.org> 2.2.9-1mdv2008.0
+ Revision: 64837
- xdg category
- New version 2.2.9

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 2.2.8-1mdv2008.0
+ Revision: 58039
- 2.2.8

* Fri Apr 20 2007 Olivier Blin <oblin@mandriva.com> 2.2.6-1mdv2008.0
+ Revision: 15673
- XDG menu
- 2.2.6
- Import xcave



* Wed Jan 18 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.2.4-3mdk
- Add BuildRequires : ImageMagick

* Wed Jan 18 2006 Olivier Blin <oblin@mandriva.com> 2.2.4-2mdk
- buildrequires gtk+2-devel

* Mon Jan 16 2006 Olivier Blin <oblin@mandriva.com> 2.2.4-1mdk
- initial release
